<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">
    <data>
        <variable
            name="startMeasurementValue"
            type="com.example.healthcoins.domain.treatment.measurement.MeasurementValue" />
    </data>

    <LinearLayout
        android:background="@drawable/gray_border_bottom"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:weightSum="3"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{startMeasurementValue.unit}"
            android:layout_gravity="center"
            android:textAlignment="center"
            android:textSize="20sp"/>

        <EditText
            quantityValidator="@{`` + startMeasurementValue.quantity}"
            android:textAlignment="center"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:text="@={`` + startMeasurementValue.quantity}"
            android:inputType="number"
            android:textSize="20sp"/>

    </LinearLayout>
</layout>
